- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/getIamPolicy.md.txt#body.aspect_1)

Gets the IAM policy for DataAgent

### HTTP request

`POST https://geminidataanalytics.googleapis.com/v1/{resource=projects/*/locations/*/dataAgents/*}:getIamPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "options": { object (`GetPolicyOptions`) } } ``` |

| Fields ||
|---|---|
| `options` | ``object (`GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `dataAgents.getIamPolicy`. |

### Response body

If successful, the response body contains an instance of `Policy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `resource` resource:

- `geminidataanalytics.dataAgents.getIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).